Subject: Re: [RAI] More on RFC 3427bis - needs step-by-step guidance for registering new headers

From: Jon Peterson <[email-masked]>
Date: Fri, 10 Apr 2009 14:10:45 -0700

More LC comment responses...

Broadly, I agree that the previous process for registering an Informational
header was overly complicated and not terribly well documented. The new
process attempts to do away with much of the previous regimen.

You do not have to create an Internet-Draft, and no, nothing needs to go on
to become an RFC. There does need to be something written down (on the back
of a cocktail napkin or what have you) that an expert reviewer can review.
You may create an Internet-Draft, and it may become an RFC, but that's up to
you.

You send a request for a new header to IANA, who keeps a registry of the
Expert Reviewers.

An expert reviewer makes sure that the proposal is valid, and if so, the
header is included in the IANA registry. (The criteria for validity are the
two bullets at the end of Section 4, and the proviso in the sentence
preceding those two bullets).

Section 4 is intended to be the place where the entirety of this process is
described. We hope, anyway, that by the time you complete Section 4 you know
everything you need to know to register an Informational header. While I
don't believe we've missed anything as such, I can imagine that if you're
familiar with the previous process, you might shake your head a bit and say
"is that it?" 

Jon Peterson
NeuStar, Inc.

On 3/24/09 1:35 PM, "Dan York" <[email-masked]> wrote:

> Jon & Cullen,
> 
> A problem I had with the existing RFC 3427 (
> http://tools.ietf.org/html/rfc3427
>   ) which continues over into your RFC 3427bis (
> http://tools.ietf.org/html/draft-peterson-rai-rfc3427bis-01
>   ) is that neither document really provides good guidance for someone
> who just wants to know how to register a new SIP header with IANA.
> For someone who is just trying to do what seems like should be a
> relatively simple task, it's hard to find the guidance of precisely
> HOW to do this.
> 
> Section 4.1 of the original RFC 3427 provides overall guidance and
> hints at the process in steps 1 and 6, but having gone through this
> (and still being in it) for P-Charge-Info, I found the actual
> *existing* process was more of this:
> 
> ----
> 1. Create an Internet-Draft documenting the SIP header you wish to
> register.  In this draft, be sure to include:
>       a. an applicability statement about the scope of the usage of
> the SIP header
>       b. a detailed analysis of security issues related to the header
>       c. a request to IANA for how this header should be published
> 
> 2. Circulate this Internet-Draft to the SIPPING mailing list for
> comment and incorporate appropriate feedback.
> 
> 3. When review cycles are complete, contact the SIPPING Working Group
> chairs to request Expert Review.
> 
> 4. After incorporating comments from the Expert Review, contact the
> IESG (email addr?) to request publication as an Informational RFC.
> (It would also be best to find an Area Director who might sponsor your
> draft or, I am told, be prepared to wait a long time.)
> ----
> 
> This process (which may or may not be complete/correct) was not
> documented anywhere I could really find but seemed to be in the
> collective consciousness of all of those folks who have been involved
> with IETF for a while.
> 
> For IETF newbies, it would, in my opinion, be VERY useful to have this
> documented in a simple way in the RFC 3427 document.
> 
> In RFC 3427bis, section 4.1 is modified and the criteria are reduced
> to two and the process of registering a SIP header new references RFC
> 5226:
> 
>    Instead, the registration of SIP headers in Informational IETF
>     specifications, or in documents outside the IETF, is now permitted
>     under the Designated Expert (per RFC5226) criteria.
> 
> However, reading RFC 5226 ( http://tools.ietf.org/html/rfc5226 ) does
> not provide easy guidance for the newcomer.   In RFC 5226 section 4.1,
> you can see the "Designated Expert" criteria:
> 
>          Expert Review (or Designated Expert) - approval by a Designated
>              Expert is required.  The required documentation and review
>              criteria for use by the Designated Expert should be
> provided
>              when defining the registry.  For example, see Sections 6
> and
>              7.2 in [RFC3748].
> 
> And this is discussed further in Section 3.  Section 5.1 of RFC 5226
> then gets into what to put into documents to register values.
> 
> What's not clear in all this is *exactly* what the process is in RFC
> 3427bis.
> 
> Is an Internet-Draft still required? (I would assume so.) Does it need
> to become an Informational RFC?  What process should this go through?
> Is it something like this:
> 
> 1. Create an Internet-Draft (with criteria like above)
> 2. Request Expert Review from _______
> 3. Incorporate comments and then request header registration from
> ________
> 
> A step-by-step process around how to register a new SIP header would
> be a great addition to this document.
> 
> My 2 cents,
> Dan